5.5.11 test sys_vars.plugin_dir_basic fails on x64

Bug #764152 reported by Valentine Gostev on 2011-04-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
percona-projects-qa
Undecided
Valentine Gostev

Bug Description

Test failed on centos 5 x64, but did not on x86

CURRENT_TEST: sys_vars.plugin_dir_basic
--- /usr/share/mysql-test/suite/sys_vars/r/plugin_dir_basic.result 2011-03-31 16:36:17.000000000 +0300
+++ /usr/share/mysql-test/suite/sys_vars/r/plugin_dir_basic.reject 2011-04-18 04:11:27.117875343 +0300
@@ -1,20 +1,20 @@
 select @@global.plugin_dir;
 @@global.plugin_dir
-MYSQL_LIBDIR/plugin
+MYSQL_LIBDIR64/plugin
 select @@session.plugin_dir;
 ERROR HY000: Variable 'plugin_dir' is a GLOBAL variable
 show global variables like 'plugin_dir';
 Variable_name Value
-plugin_dir MYSQL_LIBDIR/plugin
+plugin_dir MYSQL_LIBDIR64/plugin
 show session variables like 'plugin_dir';
 Variable_name Value
-plugin_dir MYSQL_LIBDIR/plugin
+plugin_dir MYSQL_LIBDIR64/plugin
 select * from information_schema.global_variables where variable_name='plugin_dir';
 VARIABLE_NAME VARIABLE_VALUE
-PLUGIN_DIR MYSQL_LIBDIR/plugin
+PLUGIN_DIR MYSQL_LIBDIR64/plugin
 select * from information_schema.session_variables where variable_name='plugin_dir';
 VARIABLE_NAME VARIABLE_VALUE
-PLUGIN_DIR MYSQL_LIBDIR/plugin
+PLUGIN_DIR MYSQL_LIBDIR64/plugin
 set global plugin_dir=1;
 ERROR HY000: Variable 'plugin_dir' is a read only variable
 set session plugin_dir=1;

mysqltest: Result content mismatch

Related branches

Changed in percona-projects-qa:
assignee: nobody → Alexey Kopytov (akopytov)
Changed in percona-projects-qa:
milestone: none → 5.5.11
Oleg Tsarev (tsarev) wrote :

Need information for reproducing.
What the distrib?
What the version - debug/release?
What the platform - x86/x86_64?

Changed in percona-projects-qa:
status: New → Incomplete
assignee: Alexey Kopytov (akopytov) → Oleg Tsarev (tsarev)
Oleg Tsarev (tsarev) on 2011-04-20
Changed in percona-projects-qa:
assignee: Oleg Tsarev (tsarev) → Valentine Gostev (core-longbow)
Oleg Tsarev (tsarev) wrote :

Sorry, you already said the distr and platform.
But I didn't reproduce this bug on CentOS x86_64 too

Valentine Gostev (longbow) wrote :

branch https://code.launchpad.net/~percona-dev/percona-server/release-5.5.11-20.2
reproduced at host test-cent5-64-t504, offbuild3

Changed in percona-projects-qa:
status: Incomplete → Triaged
assignee: Valentine Gostev (core-longbow) → Oleg Tsarev (tsarev)
Oleg Tsarev (tsarev) on 2011-04-20
Changed in percona-projects-qa:
status: Triaged → In Progress
Oleg Tsarev (tsarev) on 2011-04-21
Changed in percona-projects-qa:
status: In Progress → Fix Committed
Oleg Tsarev (tsarev) on 2011-04-21
Changed in percona-projects-qa:
assignee: Oleg Tsarev (tsarev) → Valentine Gostev (core-longbow)
Changed in percona-projects-qa:
assignee: Valentine Gostev (core-longbow) → nobody
Alexey Kopytov (akopytov) wrote :

Fixed in 5.5.11-rel20.2.

Changed in percona-projects-qa:
status: Fix Committed → Fix Released
Valentine Gostev (longbow) wrote :

fails on 5.5.12

Changed in percona-projects-qa:
status: Fix Released → Confirmed
milestone: 5.5.11 → 5.5.12-20.3
Alexey Kopytov (akopytov) wrote :

The fix is in release-5.5.11-20.2. That branch should have been merged to trunk.

Oleg Tsarev (tsarev) on 2011-06-02
Changed in percona-projects-qa:
status: Confirmed → In Progress
assignee: nobody → Oleg Tsarev (tsarev)
Oleg Tsarev (tsarev) wrote :

[oleg.tsarev@test-cent5-64-t504 mysql-test]$ uname -a
Linux test-cent5-64-t504 2.6.32-042test007.1.x86_64 #1 SMP Fri Feb 11 15:23:45 MSK 2011 x86_64 x86_64 x86_64 GNU/Linux
[oleg.tsarev@test-cent5-64-t504 mysql-test]$ cat /etc/issue
CentOS release 5.6 (Final)
Kernel \r on an \m

[oleg.tsarev@test-cent5-64-t504 mysql-test]$ pwd
/home/oleg.tsarev/5.5.12/Percona-Server-release/mysql-test
[oleg.tsarev@test-cent5-64-t504 mysql-test]$ bzr info
Standalone tree (format: unnamed)
Location:
  branch root: /home/oleg.tsarev/5.5.12

Related branches:
  parent branch: bzr+ssh://bazaar.launchpad.net/~percona-dev/percona-server/5.5.12/
[oleg.tsarev@test-cent5-64-t504 mysql-test]$ ./mysql-test-run sys_vars.plugin_dir_basic
Logging: /home/oleg.tsarev/5.5.12/Percona-Server/mysql-test/mysql-test-run.pl sys_vars.plugin_dir_basic
110603 16:54:30 [Note] Flashcache bypass: disabled
110603 16:54:30 [Note] Flashcache setup error is : open flash device failed

MySQL Version 5.5.12
Checking supported features...
 - skipping ndbcluster
 - skipping SSL, mysqld not compiled with SSL
Collecting tests...
vardir: /home/oleg.tsarev/5.5.12/Percona-Server-release/mysql-test/var
Checking leftover processes...
Removing old var directory...
Creating var directory '/home/oleg.tsarev/5.5.12/Percona-Server-release/mysql-test/var'...
Installing system database...
Using server port 57263

==============================================================================

TEST RESULT TIME (ms) or COMMENT
--------------------------------------------------------------------------

worker[1] Using MTR_BUILD_THREAD 300, with reserved ports 13000..13009
sys_vars.plugin_dir_basic [ pass ] 6
--------------------------------------------------------------------------
The servers were restarted 0 times
Spent 0.006 of 12 seconds executing testcases

Completed: All 1 tests were successful.

Changed in percona-projects-qa:
status: In Progress → Invalid
assignee: Oleg Tsarev (tsarev) → Valentine Gostev (longbow)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers